JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const trigger = await client.workflows.triggers.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(trigger.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
trigger = client.workflows.triggers.update(
trigger_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(trigger.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
trigger, err := client.Workflows.Triggers.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowTriggerUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", trigger.Data)
}mobilerun-cloud workflows:triggers update \
--api-key 'My API Key' \
--trigger-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request PATCH \
--url https://api.mobilerun.ai/triggers/{triggerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"eventType": "<string>",
"conditions": {
"all": [
{}
],
"any": [
{}
]
},
"timezone": "<string>",
"customPayloadSchema": {}
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"scheduleRule": {
"dateTime": "<string>",
"expression": "<string>",
"rrule": "<string>"
},
"timezone": "<string>",
"eventType": "<string>",
"customPayloadSchema": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"nextFireTime": "<string>",
"conditions": "<unknown>"
}
}{
"error": "<string>"
}Triggers
Update a trigger
Partially update a trigger; all fields are optional. When activation is changed, the type-specific field rules are re-validated. Returns 404 if the trigger does not exist.
PATCH
/
triggers
/
{triggerId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const trigger = await client.workflows.triggers.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(trigger.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
trigger = client.workflows.triggers.update(
trigger_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(trigger.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
trigger, err := client.Workflows.Triggers.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowTriggerUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", trigger.Data)
}mobilerun-cloud workflows:triggers update \
--api-key 'My API Key' \
--trigger-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eAuthorizations
Bearer token via Authorization header
Path Parameters
Body
application/json
Required string length:
1 - 256Maximum string length:
2048Available options:
event, schedule, custom Maximum string length:
256Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional JSON Schema for validating payloads sent to this custom trigger
Response
Trigger updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I